# Class RpcMessage.NoRpcChannelReply

java.lang.Object
org.apache.catalina.tribes.group.RpcMessage
org.apache.catalina.tribes.group.RpcMessage.NoRpcChannelReply

All Implemented Interfaces:
  `Externalizable, Serializable`

Enclosing class:
  `RpcMessage`

public static class RpcMessage.NoRpcChannelReply extends RpcMessage

See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class RpcMessage

  `RpcMessage.NoRpcChannelReply`

- ## Field Summary

  ### Fields inherited from class RpcMessage

  `message, reply, rpcId, uuid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoRpcChannelReply()`
  `NoRpcChannelReply(byte[] rpcid, byte[] uuid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `readExternal(ObjectInput in)`
  `void`
  `writeExternal(ObjectOutput out)`

  ### Methods inherited from class RpcMessage

  `toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoRpcChannelReply

    public NoRpcChannelReply()

  - ### NoRpcChannelReply

    public NoRpcChannelReply(byte[] rpcid, byte[] uuid)

- ## Method Details

  - ### readExternal

    public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
    Specified by:
      `readExternal` in interface `Externalizable`
    Overrides:
      `readExternal` in class `RpcMessage`
    Throws:
      `IOException`
      `ClassNotFoundException`

  - ### writeExternal

    public void writeExternal(ObjectOutput out) throws IOException
    Specified by:
      `writeExternal` in interface `Externalizable`
    Overrides:
      `writeExternal` in class `RpcMessage`
    Throws:
      `IOException`